# Generated by Django 2.2 on 2021-01-16 17:39

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import notifications.models.notification


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0011_update_proxy_permissions'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Notification',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('name', models.CharField(max_length=100)),
                ('event_code', models.CharField(max_length=50)),
                ('description', models.CharField(max_length=200)),
                ('script', models.CharField(max_length=200)),
                ('is_scheduled', models.BooleanField(default=False)),
                ('occurance', models.CharField(max_length=10)),
                ('week_days', models.CharField(max_length=100)),
                ('email_day', models.SmallIntegerField(blank=True, null=True, validators=[notifications.models.notification.validate_email_day])),
                ('email_custom', models.CharField(max_length=100)),
                ('scheduled_time', models.CharField(max_length=5)),
                ('is_app_notification', models.BooleanField()),
                ('is_email_notification', models.BooleanField()),
                ('is_sms_notification', models.BooleanField()),
                ('seq_no', models.IntegerField(null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='Notification_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='Notification_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='Notification_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'notification',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='NotificationAppTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('script', models.CharField(max_length=4000, null=True)),
                ('notification', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='notifications.Notification')),
            ],
            options={
                'db_table': 'notification_app_template',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='SMSTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('script', models.CharField(max_length=4000, null=True)),
                ('notification', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='notifications.Notification')),
            ],
            options={
                'db_table': 'notification_sms_template',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='SMSQueue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('lang', models.CharField(max_length=10)),
                ('mode', models.CharField(blank=True, max_length=1, null=True)),
                ('content', models.TextField()),
                ('mobile_no', models.CharField(max_length=50)),
                ('sms_url', models.CharField(blank=True, max_length=255, null=True)),
                ('relay_date', models.DateTimeField(blank=True, null=True)),
                ('relay_status', models.IntegerField(blank=True, null=True)),
                ('message_id', models.CharField(blank=True, max_length=200, null=True)),
                ('notification_sms_template', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='notifications.SMSTemplate')),
            ],
            options={
                'db_table': 'notification_sms_queue',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='SMSGateway',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('sms_url', models.CharField(max_length=255, unique=True)),
                ('user_name', models.CharField(blank=True, max_length=50, null=True)),
                ('pass_word', models.CharField(blank=True, max_length=50, null=True)),
                ('relay_count', models.IntegerField()),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='notification_sms_gateway_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='notification_sms_gateway_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='notification_sms_gateway_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'notification_sms_gateway',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='NotificationTo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('group', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='auth.Group')),
                ('notification', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='notifications.Notification')),
            ],
            options={
                'db_table': 'notification_to',
                'default_permissions': (),
                'unique_together': {('notification', 'group')},
            },
        ),
        migrations.CreateModel(
            name='NotificationAppTemplateLanguage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('lang', models.CharField(max_length=10)),
                ('title', models.CharField(max_length=200)),
                ('content', models.TextField()),
                ('notification_app_template', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='notifications.NotificationAppTemplate')),
            ],
            options={
                'db_table': 'notification_app_template_lang',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='NotificationAppQueue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('lang', models.CharField(max_length=10)),
                ('mode', models.CharField(blank=True, max_length=1, null=True)),
                ('title', models.CharField(max_length=200)),
                ('content', models.CharField(max_length=500)),
                ('relay_date', models.DateTimeField(blank=True, null=True)),
                ('relay_status', models.IntegerField(blank=True, null=True)),
                ('is_read', models.BooleanField()),
                ('created_user', models.CharField(max_length=50)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='notification_app_queue_created_by', to=settings.AUTH_USER_MODEL)),
                ('notification_app_template', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='notifications.NotificationAppTemplate')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='notification_app_queue_user_id', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'notification_app_queue',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='NotificationAppGateway',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('url', models.CharField(max_length=100)),
                ('server_key', models.CharField(max_length=255, unique=True)),
                ('user_name', models.CharField(blank=True, max_length=50, null=True)),
                ('pass_word', models.CharField(blank=True, max_length=50, null=True)),
                ('relay_count', models.IntegerField()),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='notification_app_gateway_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='notification_app_gateway_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='notification_app_gateway_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'notification_app_gateway',
                'default_permissions': (),
            },
        ),
        migrations.AddField(
            model_name='notification',
            name='notification_to',
            field=models.ManyToManyField(through='notifications.NotificationTo', to='auth.Group'),
        ),
        migrations.CreateModel(
            name='EmailTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cc_email', models.CharField(blank=True, max_length=1000, null=True)),
                ('bcc_email', models.CharField(blank=True, max_length=1000, null=True)),
                ('script', models.CharField(blank=True, max_length=4000, null=True)),
                ('notification', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='notifications.Notification')),
            ],
            options={
                'db_table': 'notification_email_template',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='EmailQueue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('lang', models.CharField(max_length=10)),
                ('mode', models.CharField(blank=True, max_length=1, null=True)),
                ('from_email_id', models.CharField(blank=True, max_length=100, null=True)),
                ('to_email_id', models.CharField(blank=True, max_length=100, null=True)),
                ('cc_email_id', models.CharField(blank=True, max_length=100, null=True)),
                ('bcc_email_id', models.CharField(blank=True, max_length=100, null=True)),
                ('email_subject', models.CharField(max_length=200)),
                ('body', models.TextField()),
                ('relay_type', models.BooleanField(blank=True, null=True)),
                ('send_date', models.DateTimeField(blank=True, null=True)),
                ('read_date', models.DateTimeField(blank=True, null=True)),
                ('notification_email_template', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='notifications.EmailTemplate')),
            ],
            options={
                'db_table': 'notification_email_queue',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='EmailGateway',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('host', models.CharField(max_length=50)),
                ('port', models.CharField(max_length=50)),
                ('user_name', models.CharField(max_length=50)),
                ('pass_word', models.CharField(max_length=50)),
                ('from_account', models.CharField(max_length=100)),
                ('ssl', models.BooleanField()),
                ('priority', models.SmallIntegerField(null=True)),
                ('relay_count', models.IntegerField()),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='notification_email_gateway_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='notification_email_gateway_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='notification_email_gateway_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'notification_email_gateway',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='SMSTemplateLanguage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('lang', models.CharField(max_length=10)),
                ('content', models.TextField()),
                ('notification_sms_template', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='notifications.SMSTemplate')),
            ],
            options={
                'db_table': 'notification_sms_template_lang',
                'default_permissions': (),
                'unique_together': {('notification_sms_template', 'lang')},
            },
        ),
        migrations.CreateModel(
            name='EmailTemplateLanguage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('lang', models.CharField(max_length=10)),
                ('email_subject', models.CharField(max_length=200)),
                ('template_path', models.CharField(max_length=500)),
                ('notification_email_template', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='notifications.EmailTemplate')),
            ],
            options={
                'db_table': 'notification_email_template_lang',
                'default_permissions': (),
                'unique_together': {('notification_email_template', 'lang')},
            },
        ),
    ]
